Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.api.plugins.antlr.metadata
Class GrammarMetadata

    java.lang.Object
      org.gradle.api.plugins.antlr.metadata.GrammarMetadata

    public class GrammarMetadata

extends Object

Models a grammar defined within an Antlr grammar file.

Constructor Summary
`GrammarMetadata(GrammarFileMetadata grammarFileMetadata, GrammarDelegate grammarDelegate)`

Method Summary
`String` | `determineGeneratedParserPath()` Determine the relative path of the generated parser java file.
`boolean` | `extendsStandardGrammar()`
`String` | `getClassName()`
`String` | `getExportVocab()`
`GrammarFileMetadata` | `getGrammarFile()`
`String` | `getImportVocab()`
`String` | `getPackageName()`
`String` | `getQualifiedClassName()`
`GrammarDelegate` | `getSuperGrammarDelegate()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GrammarMetadata

    public GrammarMetadata(GrammarFileMetadata grammarFileMetadata,
                           GrammarDelegate grammarDelegate)

Method Detail

### getGrammarFile

    public GrammarFileMetadata getGrammarFile()

### getClassName

    public String getClassName()

### getQualifiedClassName

    public String getQualifiedClassName()

### getSuperGrammarDelegate

    public GrammarDelegate getSuperGrammarDelegate()

### extendsStandardGrammar

    public boolean extendsStandardGrammar()

### getImportVocab

    public String getImportVocab()

### getExportVocab

    public String getExportVocab()

### getPackageName

    public String getPackageName()

### determineGeneratedParserPath

    public String determineGeneratedParserPath()

  Determine the relative path of the generated parser java file.

  Returns:
    The relative generated parser file path.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD